X2Go Bug report logs - #1275
Python X2Go broken with Paramiko 2.4.0

version graph

Package: src:python-x2go; Maintainer for src:python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Tue, 20 Mar 2018 08:35:01 UTC

Severity: grave

Tags: pending

Found in version python-x2go/0.5.99.0

Done: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1275; Package src:python-x2go. (Tue, 20 Mar 2018 08:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 20 Mar 2018 08:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Python X2Go broken with Paramiko 2.4.0
Date: Tue, 20 Mar 2018 08:29:57 +0000
[Message part 1 (text/plain, inline)]
Package: src:python-x2go
Severity: grave
Version: 0.5.99.0

Recent upgrade of Python Paramiko in Debian unstable to 2.4.0 leads to  
a dysfunctional Python X2Go implementation.

This is under investigation...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1275; Package src:python-x2go. (Thu, 06 Sep 2018 17:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 06 Sep 2018 17:40:03 GMT) Full text and rfc822 format available.

Message #10 received at 1275@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1275-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1275@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Thu, 6 Sep 2018 19:35:01 +0200 (CEST)
tag #1275 pending
fixed #1275 0.6.0.0
thanks

Hello,

X2Go issue #1275 (src:python-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=71df03f

The issue will most likely be fixed in src:python-x2go (0.6.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 71df03f97aee40441914fd56ba7031bc5cd5af79
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Sep 6 19:33:28 2018 +0200

    release 0.6.0.0

diff --git a/debian/changelog b/debian/changelog
index 30bc359..efb471e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,10 @@
-python-x2go (0.5.99.1-0x2go1) UNRELEASED; urgency=medium
+python-x2go (0.6.0.0-0x2go1) UNRELEASED; urgency=medium
 
   [ Mike Gabriel ]
-  * New upstream version (0.5.99.1):
+  * New upstream version (0.6.0.0):
     - Support Python2 and Python3 alike.
+    - Test intensively against Debian stable and unstable.
+      (Fixes: #1275).
     - Build API doc with Sphinx.
     - Drop unit test framework. Never really used (though we should have).
       (Fixes: #1259).
@@ -12,10 +14,20 @@ python-x2go (0.5.99.1-0x2go1) UNRELEASED; urgency=medium
       xinerama support differently from x2gostartagent. Adding it
       as cmdline parameter No. 9.
     - x2go/utils.py: Python3 fix in get_workarea_geometry().
-  * debian/: Adapt to building API docs with Sphinx.
+    - Finalize Epydoc-to-Sphinx conversion of doc strings.
+    - x2go/session.py: Update list of features.
+    - x2go/__init__.py: Reference backends correctly.
+    - Drop WINREG backends, never existed really, never will be, probably.
+    - x2go/__init__.py: Avoid ares resolver for now, as it currently is
+      broken in Debian testing.
+    - Makefile.docupload: Add apidoc target.
+    - docs/source/: Update API doc tree, winreg modules removed.
+  * debian/:
+    + Adapt to building Python3 and Python2 variants of Python X2Go.
+    + Adapt to building API docs with Sphinx.
 
   [ Mihai Moldovan ]
-  * New upstream version (0.5.99.0):
+  * New upstream version (0.6.0.0):
     - docs/source/conf.py: set minimum sphinx version to 1.0. Needed for
       the sphinx.ext.viewcode extension.
     - docs/source/conf.py: drop minimum sphinx version requirement again,
@@ -49,7 +61,7 @@ python-x2go (0.5.99.1-0x2go1) UNRELEASED; urgency=medium
     - %{sle_version} is not defined on TW, so use a %{suse_version} check
       additionally to catch this variant.
 
- -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Sep 2017 14:15:05 +0200
+ -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 06 Sep 2018 18:35:12 +0200
 
 python-x2go (0.5.0.6-0x2go1) unstable; urgency=medium
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 06 Sep 2018 17:40:04 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#1275. (Thu, 06 Sep 2018 17:40:06 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1275; Package src:python-x2go. (Thu, 06 Sep 2018 18:20:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 06 Sep 2018 18:20:04 GMT) Full text and rfc822 format available.

Message #20 received at 1275@bugs.x2go.org (full text, mbox):

From: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1275-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1275@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as closed
Date: Thu, 6 Sep 2018 20:19:31 +0200 (CEST)
close #1275
thanks

Hello,

we are very hopeful that X2Go issue #1275 reported by you
has been resolved in the new release (0.6.0.0) of the
X2Go source project »src:python-x2go«.

You can view the complete changelog entry of src:python-x2go (0.6.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:python-x2go.

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=29f90ec63df991c0fa91dd312dd446bc89d45cd9;hp=fa04b4f34c6741d962c6bf4d5ce0b9f90aec4545

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:python-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:python-x2go
Version: 0.6.0.0-0x2go1
Status: PREVIEW
Date: Thu, 06 Sep 2018 18:35:12 +0200
Fixes: 1259 1275
Changes:
 python-x2go (0.6.0.0-0x2go1) PREVIEW; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.6.0.0):
     - Support Python2 and Python3 alike.
     - Test intensively against Debian stable and unstable.
       (Fixes: #1275).
     - Build API doc with Sphinx.
     - Drop unit test framework. Never really used (though we should have).
       (Fixes: #1259).
     - x2go/checkhosts.py: Python3 fix in get_key_fingerprint().
     - Natively support xinerama option.
     - x2go/backends/terminal/plain.py: x2gosession-resume handles
       xinerama support differently from x2gostartagent. Adding it
       as cmdline parameter No. 9.
     - x2go/utils.py: Python3 fix in get_workarea_geometry().
     - Finalize Epydoc-to-Sphinx conversion of doc strings.
     - x2go/session.py: Update list of features.
     - x2go/__init__.py: Reference backends correctly.
     - Drop WINREG backends, never existed really, never will be, probably.
     - x2go/__init__.py: Avoid ares resolver for now, as it currently is
       broken in Debian testing.
     - Makefile.docupload: Add apidoc target.
     - docs/source/: Update API doc tree, winreg modules removed.
   * debian/:
     + Adapt to building Python3 and Python2 variants of Python X2Go.
     + Adapt to building API docs with Sphinx.
 .
   [ Mihai Moldovan ]
   * New upstream version (0.6.0.0):
     - docs/source/conf.py: set minimum sphinx version to 1.0. Needed for
       the sphinx.ext.viewcode extension.
     - docs/source/conf.py: drop minimum sphinx version requirement again,
       detect version manually and adapt config based on this information.
     - docs/source/conf.py: fix parse error due to wrong else usage.
     - docs/source/conf.py: import sphinx module. Hopefully that actually works
       out.
   * python-x2go.spec:
     - Also add fdupes package as a build dependency for RHEL-based distros.
     - Correctly pythonize package, for Fedora, RHEL/EPEL and OpenSuSE. It's
       more verbose than needs to be, but OpenSuSE Leap 42.2 - which is still
       supported currently - does not have python-rpm-macros and we generally
       want to disable the Python 3 package for now. For EPEL/RHEL versions
       lower than 8, we strip Python 3 stuff out completely and rename the
       package to python-x2go.
     - Fix package names in %package (and its %description) and %files sections.
     - Add dependency on the python-configparser backport. Makes at least part
       working with both Python 2 and 3.
     - Actually disable python3 builds on OpenSuSE.
     - OpenSuSE Leap 15 and TumbleWeed renamed python-xlib to
       python{2,3}-python-xlib.
     - Local %defines are buggy in older RPM implementations, work around by
       using %global instead.
     - Merge python(2)-x2go section in main section, since we cannot redefine
       subpackages.
     - Older OpenSuSE Leap versions don't support %{python2_sitelib} - use
       %{python_sitelib} instead.
     - Document %(python_module} definitions.
     - Override python_module macro for OpenSuSE Leap 42.3, the shipped version
       does not what later versions do correctly.
     - %{sle_version} is not defined on TW, so use a %{suse_version} check
       additionally to catch this variant.


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#1275. (Thu, 06 Sep 2018 18:20:07 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 06 Sep 2018 18:20:08 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 06 Sep 2018 18:20:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 05 Oct 2018 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jul 17 08:36:50 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.